import * as i0 from '@angular/core';
import { Component, Input, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { NgStyle, NgForOf, NgIf } from '@angular/common';

class AngularSkeletonCircleComponent {
    constructor() {
        this.radius = '80px';
        this.animate = true;
    }
    ngOnInit() {
    }
}
AngularSkeletonCircleComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularSkeletonCircleComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
AngularSkeletonCircleComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: AngularSkeletonCircleComponent, selector: "angular-skeleton-circle", inputs: { radius: "radius", animate: "animate" }, ngImport: i0, template: "<div class='skeleton-container'>\n\t<div\n\t\t\t[class.animate]='animate' [ngStyle]='{\"width\": radius, \"height\": radius}'\n\t\t\tclass='skeleton circle'\n\t></div>\n</div>\n", styles: [".circle{border-radius:50%}\n"], dependencies: [{ kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularSkeletonCircleComponent, decorators: [{
            type: Component,
            args: [{ selector: 'angular-skeleton-circle', template: "<div class='skeleton-container'>\n\t<div\n\t\t\t[class.animate]='animate' [ngStyle]='{\"width\": radius, \"height\": radius}'\n\t\t\tclass='skeleton circle'\n\t></div>\n</div>\n", styles: [".circle{border-radius:50%}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { radius: [{
                type: Input
            }], animate: [{
                type: Input
            }] } });

class AngularSkeletonRectangleComponent {
    constructor() {
        this.width = '100px';
        this.height = '2em';
        this.animate = true;
    }
    ngOnInit() {
    }
}
AngularSkeletonRectangleComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularSkeletonRectangleComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
AngularSkeletonRectangleComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: AngularSkeletonRectangleComponent, selector: "angular-skeleton-rectangle", inputs: { width: "width", height: "height", animate: "animate" }, ngImport: i0, template: "<div class='skeleton-container'>\n\t<div\n\t\t\t[class.animate]='animate' [ngStyle]='{\"width\": width, \"height\": height}'\n\t\t\tclass='skeleton'\n\t></div>\n</div>\n", styles: [""], dependencies: [{ kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularSkeletonRectangleComponent, decorators: [{
            type: Component,
            args: [{ selector: 'angular-skeleton-rectangle', template: "<div class='skeleton-container'>\n\t<div\n\t\t\t[class.animate]='animate' [ngStyle]='{\"width\": width, \"height\": height}'\n\t\t\tclass='skeleton'\n\t></div>\n</div>\n" }]
        }], ctorParameters: function () { return []; }, propDecorators: { width: [{
                type: Input
            }], height: [{
                type: Input
            }], animate: [{
                type: Input
            }] } });

class AngularSkeletonLineComponent {
    constructor() {
        this.width = '100%';
        this.height = '1em';
        this.animate = true;
        this.lines = 2;
        this.linesArray = () => {
            const array = [];
            array.length = this.lines;
            return array;
        };
    }
    ngOnInit() {
    }
}
AngularSkeletonLineComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularSkeletonLineComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
AngularSkeletonLineComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: AngularSkeletonLineComponent, selector: "angular-skeleton-line", inputs: { width: "width", height: "height", animate: "animate", lines: "lines" }, ngImport: i0, template: "<div class='skeleton-container'>\n\t<div\n\t\t\t*ngFor='let line of linesArray()'\n\t\t\t[class.animate]='animate'\n\t\t\t[ngStyle]='{\"width\": width, \"height\": height}'\n\t\t\tclass='skeleton line'\n\t></div>\n</div>\n", styles: [".line{border-radius:3px}\n"], dependencies: [{ kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularSkeletonLineComponent, decorators: [{
            type: Component,
            args: [{ selector: 'angular-skeleton-line', template: "<div class='skeleton-container'>\n\t<div\n\t\t\t*ngFor='let line of linesArray()'\n\t\t\t[class.animate]='animate'\n\t\t\t[ngStyle]='{\"width\": width, \"height\": height}'\n\t\t\tclass='skeleton line'\n\t></div>\n</div>\n", styles: [".line{border-radius:3px}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { width: [{
                type: Input
            }], height: [{
                type: Input
            }], animate: [{
                type: Input
            }], lines: [{
                type: Input
            }] } });

class AngularSkeletonCardComponent {
    constructor() { }
    ngOnInit() {
    }
}
AngularSkeletonCardComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularSkeletonCardComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
AngularSkeletonCardComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: AngularSkeletonCardComponent, selector: "angular-skeleton-card", ngImport: i0, template: "<div class='skeleton-container card'>\n\t<div class='header'>\n\t\t<angular-skeleton-circle radius='64px'></angular-skeleton-circle>\n\t\t<div class='info'>\n\t\t\t<angular-skeleton-rectangle height='1.5em' width='200px'></angular-skeleton-rectangle>\n\t\t\t<angular-skeleton-rectangle height='1.25em' width='100px'></angular-skeleton-rectangle>\n\t\t</div>\n\t</div>\n\t<angular-skeleton-rectangle height='200px' width='100%'></angular-skeleton-rectangle>\n\t<angular-skeleton-line [lines]='3'></angular-skeleton-line>\n\t<div class='action-bar'>\n\t\t<angular-skeleton-rectangle height='2em'></angular-skeleton-rectangle>\n\t\t<angular-skeleton-rectangle height='2em'></angular-skeleton-rectangle>\n\t</div>\n</div>\n", styles: [".card{width:400px;border-radius:5px}.card .header{display:flex;align-items:center;flex-flow:row}.card .action-bar{display:flex;flex-flow:row-reverse wrap;width:100%}\n"], dependencies: [{ kind: "component", type: AngularSkeletonCircleComponent, selector: "angular-skeleton-circle", inputs: ["radius", "animate"] }, { kind: "component", type: AngularSkeletonRectangleComponent, selector: "angular-skeleton-rectangle", inputs: ["width", "height", "animate"] }, { kind: "component", type: AngularSkeletonLineComponent, selector: "angular-skeleton-line", inputs: ["width", "height", "animate", "lines"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularSkeletonCardComponent, decorators: [{
            type: Component,
            args: [{ selector: 'angular-skeleton-card', template: "<div class='skeleton-container card'>\n\t<div class='header'>\n\t\t<angular-skeleton-circle radius='64px'></angular-skeleton-circle>\n\t\t<div class='info'>\n\t\t\t<angular-skeleton-rectangle height='1.5em' width='200px'></angular-skeleton-rectangle>\n\t\t\t<angular-skeleton-rectangle height='1.25em' width='100px'></angular-skeleton-rectangle>\n\t\t</div>\n\t</div>\n\t<angular-skeleton-rectangle height='200px' width='100%'></angular-skeleton-rectangle>\n\t<angular-skeleton-line [lines]='3'></angular-skeleton-line>\n\t<div class='action-bar'>\n\t\t<angular-skeleton-rectangle height='2em'></angular-skeleton-rectangle>\n\t\t<angular-skeleton-rectangle height='2em'></angular-skeleton-rectangle>\n\t</div>\n</div>\n", styles: [".card{width:400px;border-radius:5px}.card .header{display:flex;align-items:center;flex-flow:row}.card .action-bar{display:flex;flex-flow:row-reverse wrap;width:100%}\n"] }]
        }], ctorParameters: function () { return []; } });

class AngularCircleSkeletonModule {
}
AngularCircleSkeletonModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularCircleSkeletonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
AngularCircleSkeletonModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: AngularCircleSkeletonModule, declarations: [AngularSkeletonCircleComponent], imports: [NgStyle], exports: [AngularSkeletonCircleComponent] });
AngularCircleSkeletonModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularCircleSkeletonModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularCircleSkeletonModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        AngularSkeletonCircleComponent
                    ],
                    imports: [
                        NgStyle
                    ],
                    exports: [
                        AngularSkeletonCircleComponent
                    ]
                }]
        }] });

class AngularRectangleSkeletonModule {
}
AngularRectangleSkeletonModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularRectangleSkeletonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
AngularRectangleSkeletonModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: AngularRectangleSkeletonModule, declarations: [AngularSkeletonRectangleComponent], imports: [NgStyle], exports: [AngularSkeletonRectangleComponent] });
AngularRectangleSkeletonModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularRectangleSkeletonModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularRectangleSkeletonModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        AngularSkeletonRectangleComponent
                    ],
                    imports: [
                        NgStyle
                    ],
                    exports: [
                        AngularSkeletonRectangleComponent
                    ]
                }]
        }] });

class AngularLineSkeletonModule {
}
AngularLineSkeletonModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularLineSkeletonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
AngularLineSkeletonModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: AngularLineSkeletonModule, declarations: [AngularSkeletonLineComponent], imports: [NgStyle,
        NgForOf], exports: [AngularSkeletonLineComponent] });
AngularLineSkeletonModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularLineSkeletonModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularLineSkeletonModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        AngularSkeletonLineComponent
                    ],
                    imports: [
                        NgStyle,
                        NgForOf
                    ],
                    exports: [
                        AngularSkeletonLineComponent
                    ]
                }]
        }] });

class AngularCardSkeletonModule {
}
AngularCardSkeletonModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularCardSkeletonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
AngularCardSkeletonModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: AngularCardSkeletonModule, declarations: [AngularSkeletonCardComponent], imports: [AngularCircleSkeletonModule,
        AngularRectangleSkeletonModule,
        AngularLineSkeletonModule], exports: [AngularSkeletonCardComponent] });
AngularCardSkeletonModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularCardSkeletonModule, imports: [AngularCircleSkeletonModule,
        AngularRectangleSkeletonModule,
        AngularLineSkeletonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularCardSkeletonModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        AngularSkeletonCardComponent
                    ],
                    imports: [
                        AngularCircleSkeletonModule,
                        AngularRectangleSkeletonModule,
                        AngularLineSkeletonModule
                    ],
                    exports: [
                        AngularSkeletonCardComponent
                    ]
                }]
        }] });

class AngularSkeletonChipComponent {
    constructor() {
        this.width = '100px';
        this.height = '2em';
        this.animate = true;
        this.chips = 1;
        this.randomWidth = true;
        this.chipsArray = () => {
            const array = [];
            for (let i = 0; i < this.chips; i++) {
                if (this.randomWidth)
                    array.push({ width: `${Math.random() * 150 + 100}px` });
                else
                    array.push({ width: `${this.width}` });
            }
            return array;
        };
    }
    ngOnInit() {
    }
}
AngularSkeletonChipComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularSkeletonChipComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
AngularSkeletonChipComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: AngularSkeletonChipComponent, selector: "angular-skeleton-chip", inputs: { width: "width", height: "height", animate: "animate", chips: "chips", randomWidth: "randomWidth" }, ngImport: i0, template: "<div class='skeleton-container chips'>\n\t<div\n\t\t\t*ngFor='let chip of chipsArray()' [class.animate]='animate' [ngStyle]='{\"width\": chip.width, \"height\": height}'\n\t\t\tclass='skeleton chip'\n\t></div>\n</div>\n", styles: [".chips{flex-flow:row wrap}.chips .chip{border-radius:500em}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularSkeletonChipComponent, decorators: [{
            type: Component,
            args: [{ selector: 'angular-skeleton-chip', template: "<div class='skeleton-container chips'>\n\t<div\n\t\t\t*ngFor='let chip of chipsArray()' [class.animate]='animate' [ngStyle]='{\"width\": chip.width, \"height\": height}'\n\t\t\tclass='skeleton chip'\n\t></div>\n</div>\n", styles: [".chips{flex-flow:row wrap}.chips .chip{border-radius:500em}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { width: [{
                type: Input
            }], height: [{
                type: Input
            }], animate: [{
                type: Input
            }], chips: [{
                type: Input
            }], randomWidth: [{
                type: Input
            }] } });

class AngularChipSkeletonModule {
}
AngularChipSkeletonModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularChipSkeletonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
AngularChipSkeletonModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: AngularChipSkeletonModule, declarations: [AngularSkeletonChipComponent], imports: [NgForOf,
        NgStyle], exports: [AngularSkeletonChipComponent] });
AngularChipSkeletonModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularChipSkeletonModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularChipSkeletonModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        AngularSkeletonChipComponent
                    ],
                    imports: [
                        NgForOf,
                        NgStyle
                    ],
                    exports: [
                        AngularSkeletonChipComponent
                    ]
                }]
        }] });

class AngularSkeletonInputComponent {
    constructor() {
        this.withPlaceholder = true;
        this.animate = true;
    }
    ngOnInit() {
    }
}
AngularSkeletonInputComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularSkeletonInputComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
AngularSkeletonInputComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: AngularSkeletonInputComponent, selector: "angular-skeleton-input", inputs: { withPlaceholder: "withPlaceholder", animate: "animate" }, ngImport: i0, template: "<div class='skeleton-container'>\n\t<div\n\t\t\t*ngIf='withPlaceholder'\n\t\t\t[class.animate]='animate'\n\t\t\t[ngStyle]='{\"width\": \"80px\", \"height\": \"1em\"}'\n\t\t\tclass='skeleton placeholder'\n\t></div>\n\t<div\n\t\t\t[class.animate]='animate'\n\t\t\t[ngStyle]='{\"width\": \"200px\", \"height\": \"2em\"}'\n\t\t\tclass='skeleton'\n\t></div>\n</div>\n", styles: [".input-skeleton{display:flex;flex-flow:column nowrap;gap:.5em}.input-skeleton .placeholder{border-radius:3px}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularSkeletonInputComponent, decorators: [{
            type: Component,
            args: [{ selector: 'angular-skeleton-input', template: "<div class='skeleton-container'>\n\t<div\n\t\t\t*ngIf='withPlaceholder'\n\t\t\t[class.animate]='animate'\n\t\t\t[ngStyle]='{\"width\": \"80px\", \"height\": \"1em\"}'\n\t\t\tclass='skeleton placeholder'\n\t></div>\n\t<div\n\t\t\t[class.animate]='animate'\n\t\t\t[ngStyle]='{\"width\": \"200px\", \"height\": \"2em\"}'\n\t\t\tclass='skeleton'\n\t></div>\n</div>\n", styles: [".input-skeleton{display:flex;flex-flow:column nowrap;gap:.5em}.input-skeleton .placeholder{border-radius:3px}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { withPlaceholder: [{
                type: Input
            }], animate: [{
                type: Input
            }] } });

class AngularInputSkeletonModule {
}
AngularInputSkeletonModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularInputSkeletonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
AngularInputSkeletonModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: AngularInputSkeletonModule, declarations: [AngularSkeletonInputComponent], imports: [NgIf,
        NgStyle], exports: [AngularSkeletonInputComponent] });
AngularInputSkeletonModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularInputSkeletonModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularInputSkeletonModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        AngularSkeletonInputComponent
                    ],
                    imports: [
                        NgIf,
                        NgStyle
                    ],
                    exports: [
                        AngularSkeletonInputComponent
                    ]
                }]
        }] });

class AngularSkeletonSquareComponent {
    constructor() {
        this.size = '80px';
        this.animate = true;
    }
    ngOnInit() {
    }
}
AngularSkeletonSquareComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularSkeletonSquareComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
AngularSkeletonSquareComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: AngularSkeletonSquareComponent, selector: "angular-skeleton-square", inputs: { size: "size", animate: "animate" }, ngImport: i0, template: "<angular-skeleton-rectangle [animate]='animate' [height]='size' [width]='size'></angular-skeleton-rectangle>\n", styles: [""], dependencies: [{ kind: "component", type: AngularSkeletonRectangleComponent, selector: "angular-skeleton-rectangle", inputs: ["width", "height", "animate"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularSkeletonSquareComponent, decorators: [{
            type: Component,
            args: [{ selector: 'angular-skeleton-square', template: "<angular-skeleton-rectangle [animate]='animate' [height]='size' [width]='size'></angular-skeleton-rectangle>\n" }]
        }], ctorParameters: function () { return []; }, propDecorators: { size: [{
                type: Input
            }], animate: [{
                type: Input
            }] } });

class AngularSquareSkeletonModule {
}
AngularSquareSkeletonModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularSquareSkeletonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
AngularSquareSkeletonModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: AngularSquareSkeletonModule, declarations: [AngularSkeletonSquareComponent], imports: [AngularRectangleSkeletonModule], exports: [AngularSkeletonSquareComponent] });
AngularSquareSkeletonModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularSquareSkeletonModule, imports: [AngularRectangleSkeletonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularSquareSkeletonModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        AngularSkeletonSquareComponent
                    ],
                    imports: [
                        AngularRectangleSkeletonModule
                    ],
                    exports: [
                        AngularSkeletonSquareComponent
                    ]
                }]
        }] });

class AngularSkeletonTableComponent {
    constructor() {
        this.rows = 5;
        this.columns = 4;
        this.columnWidthDistribution = ['35%', '10%', '10%', '15%', '15%'];
        this.width = '100%';
        this.animate = true;
        this.getRowArray = () => {
            const rowArray = [];
            rowArray.length = this.rows;
            return rowArray;
        };
        this.getColumnArray = () => {
            const columnArray = [];
            columnArray.length = this.columns;
            return columnArray;
        };
    }
    ngOnInit() {
    }
}
AngularSkeletonTableComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularSkeletonTableComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
AngularSkeletonTableComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.12", type: AngularSkeletonTableComponent, selector: "angular-skeleton-table", inputs: { rows: "rows", columns: "columns", columnWidthDistribution: "columnWidthDistribution", width: "width", animate: "animate" }, ngImport: i0, template: "<div class='skeleton-container'>\n\t<table [ngStyle]='{\"width\": width}'>\n\t\t<tr>\n\t\t\t<th *ngFor='let column of getColumnArray();let i = index' [style.width]='columnWidthDistribution[i]'>\n\t\t\t\t<angular-skeleton-rectangle\n\t\t\t\t\t\t[animate]='animate' height='1.75em' width='100%'\n\t\t\t\t></angular-skeleton-rectangle>\n\t\t\t</th>\n\t\t</tr>\n\t\t<tr *ngFor='let row of getRowArray()'>\n\t\t\t<td *ngFor='let column of getColumnArray();let i = index'>\n\t\t\t\t<angular-skeleton-rectangle\n\t\t\t\t\t\t[animate]='animate' height='1.5em' width='100%'\n\t\t\t\t></angular-skeleton-rectangle>\n\t\t\t</td>\n\t\t</tr>\n\t</table>\n</div>\n", styles: [""], dependencies: [{ kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "component", type: AngularSkeletonRectangleComponent, selector: "angular-skeleton-rectangle", inputs: ["width", "height", "animate"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularSkeletonTableComponent, decorators: [{
            type: Component,
            args: [{ selector: 'angular-skeleton-table', template: "<div class='skeleton-container'>\n\t<table [ngStyle]='{\"width\": width}'>\n\t\t<tr>\n\t\t\t<th *ngFor='let column of getColumnArray();let i = index' [style.width]='columnWidthDistribution[i]'>\n\t\t\t\t<angular-skeleton-rectangle\n\t\t\t\t\t\t[animate]='animate' height='1.75em' width='100%'\n\t\t\t\t></angular-skeleton-rectangle>\n\t\t\t</th>\n\t\t</tr>\n\t\t<tr *ngFor='let row of getRowArray()'>\n\t\t\t<td *ngFor='let column of getColumnArray();let i = index'>\n\t\t\t\t<angular-skeleton-rectangle\n\t\t\t\t\t\t[animate]='animate' height='1.5em' width='100%'\n\t\t\t\t></angular-skeleton-rectangle>\n\t\t\t</td>\n\t\t</tr>\n\t</table>\n</div>\n" }]
        }], ctorParameters: function () { return []; }, propDecorators: { rows: [{
                type: Input
            }], columns: [{
                type: Input
            }], columnWidthDistribution: [{
                type: Input
            }], width: [{
                type: Input
            }], animate: [{
                type: Input
            }] } });

class AngularTableSkeletonModule {
}
AngularTableSkeletonModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularTableSkeletonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
AngularTableSkeletonModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.12", ngImport: i0, type: AngularTableSkeletonModule, declarations: [AngularSkeletonTableComponent], imports: [NgStyle,
        AngularRectangleSkeletonModule,
        NgForOf], exports: [AngularSkeletonTableComponent] });
AngularTableSkeletonModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularTableSkeletonModule, imports: [AngularRectangleSkeletonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.12", ngImport: i0, type: AngularTableSkeletonModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        AngularSkeletonTableComponent
                    ],
                    imports: [
                        NgStyle,
                        AngularRectangleSkeletonModule,
                        NgForOf
                    ],
                    exports: [
                        AngularSkeletonTableComponent
                    ]
                }]
        }] });

/*
 * Public API Surface of angular-skeleton-loader
 */

/**
 * Generated bundle index. Do not edit.
 */

export { AngularCardSkeletonModule, AngularChipSkeletonModule, AngularCircleSkeletonModule, AngularInputSkeletonModule, AngularLineSkeletonModule, AngularRectangleSkeletonModule, AngularSkeletonCardComponent, AngularSkeletonChipComponent, AngularSkeletonCircleComponent, AngularSkeletonInputComponent, AngularSkeletonLineComponent, AngularSkeletonRectangleComponent, AngularSkeletonSquareComponent, AngularSkeletonTableComponent, AngularSquareSkeletonModule, AngularTableSkeletonModule };
//# sourceMappingURL=angular-skeleton-loader.mjs.map
